##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

TARGET = $$qtLibraryTarget(advancedcolormap)
PROJECT_PATH = $${GUI_SRC}/plugins/AdvancedColorMaps


INCLUDEPATH += $${PROJECT_PATH}

HEADERS += \
        $${GUI_SRC}/display/ColorMap.h \
        $${PROJECT_PATH}/AdvancedColorMaps.h \
        $${PROJECT_PATH}/AdvancedColorMapsSettings.h \
        $${PROJECT_PATH}/ColorMapsFactory.h \
        $${PROJECT_PATH}/ColorMapExtended.h \
        $${PROJECT_PATH}/ColorMapPlot.h \
        $${PROJECT_PATH}/RGBDefinerWidget.h \
        $${PROJECT_PATH}/maps/SequentialColorMap.h \
        $${PROJECT_PATH}/maps/DivergentColorMap.h \
        $${PROJECT_PATH}/maps/CubehelixColorMap.h \
        $${PROJECT_PATH}/maps/ImprovedRainbowColorMap.h

SOURCES += \
        $${PROJECT_PATH}/AdvancedColorMaps.cpp \
        $${PROJECT_PATH}/AdvancedColorMapsSettings.cpp \
        $${PROJECT_PATH}/ColorMapsFactory.cpp \
        $${PROJECT_PATH}/ColorMapExtended.cpp \
        $${PROJECT_PATH}/ColorMapPlot.cpp \
        $${PROJECT_PATH}/RGBDefinerWidget.cpp \
        $${PROJECT_PATH}/maps/SequentialColorMap.cpp \
        $${PROJECT_PATH}/maps/DivergentColorMap.cpp \
        $${PROJECT_PATH}/maps/CubehelixColorMap.cpp \
        $${PROJECT_PATH}/maps/ImprovedRainbowColorMap.cpp
